Skip to main content
GET
/
agents
/
{id}
Get Agent
curl --request GET \
  --url https://api.revring.ai/v1/agents/{id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "active",
    "promptTemplate": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "sipTrunkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sipTrunk": {
      "friendlyName": "<string>"
    },
    "defaultVariables": {},
    "firstMessage": "<string>",
    "turnTimeoutSeconds": 123,
    "silenceEndCallTimeoutSeconds": 123,
    "maxConversationDurationSeconds": 123,
    "llmTemperature": 1,
    "timezone": "<string>",
    "language": "<string>",
    "preCallWebhookUrl": "<string>",
    "postCallWebhookUrl": "<string>",
    "endCallEnabled": true,
    "endCallRulesOverride": "<string>",
    "transferEnabled": true,
    "transferRoutes": [
      {
        "to_number": "<string>",
        "condition": "<string>"
      }
    ],
    "transferDescriptionOverride": "<string>",
    "voicemailEnabled": true,
    "voicemailAction": "hangup",
    "voicemailMessage": "<string>",
    "voiceId": "<string>",
    "voiceTemperature": 1,
    "voiceSpeed": 1,
    "runtimeConfig": {},
    "phoneNumbers": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "e164": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "customTools": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "webhookUrl": "<string>",
        "enabled": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "schema": {},
        "httpMethod": "GET",
        "headers": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "queryParams": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "sendRawRequestBody": true
      }
    ],
    "mode": "single_prompt",
    "flowDefinition": {},
    "testVariables": {},
    "llmReasoningEffort": "low",
    "disableInterruptions": true,
    "transferMode": "cold",
    "warmTransferConfig": {
      "holdMessage": "<string>",
      "holdMusicEnabled": true,
      "summaryPrompt": "<string>",
      "introMessage": "<string>"
    },
    "playKeypadTouchToneEnabled": true,
    "playKeypadTouchToneDescriptionOverride": "<string>",
    "knowledgeBaseRetrievalMode": "automatic",
    "knowledgeBaseChunks": 10,
    "knowledgeBaseSimilarityThreshold": 0.5
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Generate API keys from the RevRing dashboard.

Path Parameters

id
string<uuid>
required

Agent ID

Response

Agent details

data
object

AI Voice Agent configuration